.teacherAttendanceZone{
    position: relative;
}
@media screen  and (max-width: 1000px) {
    .AttCrsList{
        display: block;
        width: calc(98% - 22px);
        padding: 10px;
    }
    .AttActionZone{
        display: block;
        width: calc(98% - 62px);
        padding: 30px;
    }
}
@media screen  and (min-width: 1000px) {
    .AttCrsList{
        display: inline-block;
        width: 60%;
    }
    .AttActionZone{
        display: inline-block;
        width: 35%;
        position: absolute;
        top: 0;
        left: 0;
    }
    #locationBtn{
        position: relative;
        top: 40px;
        right: 30px;
    }
}
.rightSide{
    display: inline-block;
    width: 60%;
    /*position: absolute;*/
    /*top: 0;*/
    /*right: 0;*/
}
.leftSide{
    display: inline-block;
    width: 35%;
    position: absolute;
    top: 0;
    left: 0;
}
.crsDiv{
    border-top: 1px solid black;
    padding: 10px;
}
.crsDiv button{
    padding: 10px 30px;
}
.crsDiv:last-child{
    border-bottom: 1px solid black;
}
.marked{
    background-color: var(--side_bg);
    color: var(--side_text);
}
#locationBtn{
    padding: 20px 40px;
}
.GoodMsg{
    color: #3e6d0e;
}
.WrongMsg{
    color: #a1023e;
}
#AprvCodeDiv{
    font-size: 500%;
    text-align: center;
}
.BarContainer{
    border: 1px solid black;
    border-radius: 20px;
    position: relative;
    width: 80%;
    height: 40px;
    margin: 0 9%;
    overflow: hidden;
    margin-bottom: 20px;
}
#barItself{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #047e04;
}


.switch-field {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    margin: 20px 0;
    overflow: hidden;
    width: 96%;
    padding: 3px;
}

.switch-field input {
    position: absolute !important;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    width: 1px;
    border: 0;
    overflow: hidden;
}

.switch-field label {
    /*width: 24%;*/
    background-color: #F2F2F2;
    color: rgba(0, 0, 0, 0.7);
    font-size: 14px;
    line-height: 1;
    text-align: center;
    padding: 8px 16px;
    margin-right: -1px;
    margin-left: 0;
    border: 1px solid rgba(0, 0, 0, 0.3);
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3), 0 1px rgba(255, 255, 255, 0.1);
    transition: all 0.1s ease-in-out;
}
.switch-field label:hover {
    cursor: pointer;
}
.switch-field input:checked + label {
    background-color: var(--side_bg);
    /*background-color: #a5dc86;*/
    box-shadow: none;
}
.switch-field label:first-of-type {
    border-radius: 0 4px 4px 0;
}
.switch-field label:last-of-type {
    border-radius: 4px 0 0 4px;
}
.widthText{
    margin: 0 3%;
    width: 94%;
    padding: 5px;
    height: 60px;
}